org.eclipse.microprofile.metrics.tck.inheritance

## Class InheritedParentGaugeMethodBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.inheritance.InheritedParentGaugeMethodBean

    @ApplicationScoped
    public class InheritedParentGaugeMethodBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`InheritedParentGaugeMethodBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getGauge()`
`void` `setGauge(long gauge)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InheritedParentGaugeMethodBean

    public InheritedParentGaugeMethodBean()

### Method Detail

#### getGauge

    public long getGauge()

#### setGauge

    public void setGauge(long gauge)